Update VM image metadata
curl --request PATCH \
--url https://api.example.com/api/v1/vms/{file_uuid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"extra_attributes_json": "<string>",
"format": "<string>",
"ram_mb": 123,
"vcpus": 123,
"virt_type": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/vms/{file_uuid}"
payload = {
"extra_attributes_json": "<string>",
"format": "<string>",
"ram_mb": 123,
"vcpus": 123,
"virt_type": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
extra_attributes_json: '<string>',
format: '<string>',
ram_mb: 123,
vcpus: 123,
virt_type: '<string>'
})
};
fetch('https://api.example.com/api/v1/vms/{file_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blob_sha256": "<string>",
"bucket_id": "<string>",
"content_type": "<string>",
"created_at": "<string>",
"extra_attributes_json": "<string>",
"file_uuid": "<string>",
"filename": "<string>",
"format": "<string>",
"owner_id": "<string>",
"ram_mb": 123,
"size_bytes": 123,
"updated_at": "<string>",
"vcpus": 123,
"virt_type": "<string>"
}{
"code": "unauthorized",
"details": "invalid or missing join token",
"error": "Unauthorized"
}{
"code": "unauthorized",
"details": "invalid or missing join token",
"error": "Unauthorized"
}{
"code": "unauthorized",
"details": "invalid or missing join token",
"error": "Unauthorized"
}{
"code": "unauthorized",
"details": "invalid or missing join token",
"error": "Unauthorized"
}{
"code": "unauthorized",
"details": "invalid or missing join token",
"error": "Unauthorized"
}vms
Update VM image metadata
Patches vm_images fields (virt_type, format, vcpus, ram_mb, extra_attributes_json). Requires write permission on the file.
PATCH
/
api
/
v1
/
vms
/
{file_uuid}
Update VM image metadata
Authorizations
Type "Bearer" followed by a space and JWT token.
Path Parameters
File UUID
Body
application/json
Update request
Response
OK
Available options:
pending, uploading, available, tombstoned, deleted ⌘I